You are not logged in.

#1 2021-09-12 19:49:41

Argo_x
Member
Registered: 2013-02-03
Posts: 7

[SOLVED] Unable to launch goldendict-git due to libnsl.so.2

Hello, i've got this very weird bug i have not been able to debug successfully myself.
Basically, after recent system update (including libnsl, which got a major release w/ a sobump) my fairly fresh build of goldendict-git stopped launching and gave an error:

goldendict: error while loading shared libraries: libnsl.so.2: cannot open shared object file: No such file or directory

when launched from terminal emulator. Grepping journalctl logs for "goldendict" or "libnsl" gave absolutely nothing new or useful, simply rebuilding the package does not seem to produce correctly linked/launching binaries either.
My system and mirror of choice are fully up to date (i checked and even waited a day for any updated packages which could possibly fix this), so it's unlikely to be FS#72090 / FS#72069 or this - in theory a rebuild or an update of (rebuilt) major deps should've fixed this.

What have i tried:
* since i use ccache, fully clearing the caches with with ccache -C - in case those were stale/corrupted preventing correct linking/building
* purging git sources (used for building the package with makepkg -sric) - in case sources got corrupted &etc
* both of the above at the same time, with negative results still.

Then i checked libnsl's reverse dependency chain w/ pactree -r libnsl, and basically it goes like this:

python > gstreamer > gst-plugins-base-libs > gst-plugins-base > qt5-multimedia / qt5-webkit > goldendict-git

But all pure python apps work (python shell is working/loading without problems too), reinstalling all aforementioned packages to rule out fs corruption did not help either. I tried rebuilding and installing qt5-webkit & qt5-multimedia locally out of pure desperation, still no dice (i rebooted and rebuilt goldendict-git after that).

My current guesses: either gstreamer packages need to be rebuilt - which is weird, they do not directly depend on libnsl and python itself seems to work fine? - or it's something else i am missing, like something actually needs libnsl.so.2 to be present (since it's missing from the arch package right now, but maybe that's expected behvavior since upstream seems to be done with it too - either by mistake or intentionally. I could've symlinked libnsl.so.2 to libnsl.so but this supposedly shoulda just worked with a rebuild (and i consider symlinking system libraries a dirty hack not worth depending on anyway) but all of those sound unlikely, and i am not sure how to go about testing gstreamer either (my DE of choice - Plasma - seem to work and load correctly however, and it depends heavily on qt5-multimedia).
Please help, i am out of ideas and i need my dictionaries for work, study and etc...

EDIT: libeb needed a rebuild.

Last edited by Argo_x (2021-09-12 22:37:17)

Offline

#2 2021-09-12 20:59:02

loqs
Member
Registered: 2014-03-06
Posts: 13,871

Re: [SOLVED] Unable to launch goldendict-git due to libnsl.so.2

What is the output of the following (requires pax-utils)

lddtree goldendict

Last edited by loqs (2021-09-12 20:59:24)

Offline

#3 2021-09-12 21:41:37

Argo_x
Member
Registered: 2013-02-03
Posts: 7

Re: [SOLVED] Unable to launch goldendict-git due to libnsl.so.2

"lddtree goldendict" failed with lddtree: warning: goldendict: did not match any paths,
"lddtree /usr/bin/goldendict" succeeded: https://dpaste.com/72A2JTA9L

EDIT: thank you, rebuilding libeb did it!
If everything works i will mark this as solved in a bit.
P.S. Wish i knew about this useful tool before...

Last edited by Argo_x (2021-09-12 21:55:03)

Offline

#4 2021-09-12 21:54:11

loqs
Member
Registered: 2014-03-06
Posts: 13,871

Re: [SOLVED] Unable to launch goldendict-git due to libnsl.so.2

....
    libeb.so.16 => /usr/lib/libeb.so.16
        libnsl.so.2 => None

Rebuild libeb either against the current libnsl or without libnsl installed.

Offline

Board footer

Powered by FluxBB